src: |
  SELECT 'ME'::text || t_modes_entree.code::text AS code,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN (t_modes_entree.code::text || ' - '::text) || t_modes_entree.texte
              ELSE 'Non saisi'::text
          END AS texte,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN (t_modes_entree.code::text || ' - '::text) || t_modes_entree.texte_court
              ELSE 'Non saisi'::text
          END AS texte_court
     FROM base.t_modes_entree
  UNION ALL
   SELECT 'MX'::text || t_modes_entree.code::text AS code,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ('SAUF '::text || (t_modes_entree.code::text || ' - '::text)) || t_modes_entree.texte
              ELSE 'SAUF Non saisi'::text
          END AS texte,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ('SAUF '::text || (t_modes_entree.code::text || ' - '::text)) || t_modes_entree.texte_court
              ELSE 'SAUF Non saisi'::text
          END AS texte_court
     FROM base.t_modes_entree
    ORDER BY 1;